GET_CCWDEV_BY_DEV_ID(9)

NAME
get_ccwdev_by_dev_id - obtain device from a ccw device id

SYNOPSIS

struct ccw_device * get_ccwdev_by_dev_id(struct ccw_dev_id * dev_id);

ARGUMENTS

dev_id
    id of the device to be searched

DESCRIPTION

This function searches all devices attached to the ccw bus for a device matching dev_id.

RETURNS

If a device is found its reference count is increased and returned; else NULL is returned.

AUTHOR

Cornelia Huck <cornelia.huck@de.ibm.com>
    Author.

COPYRIGHT